summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-11-20 20:02:40 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-26 11:47:24 +0700
commit4ef674d061d3f853d40611b37db39586ba406c37 (patch)
tree3261c75682ab009f57234126d8c992f177b3d41a /desktop
parent6efa82ccc67c2a0ad4d46422bd8f5d08a2e67dbc (diff)
downloadslackbuilds-4ef674d061d3f853d40611b37db39586ba406c37.tar.gz
slackbuilds-4ef674d061d3f853d40611b37db39586ba406c37.tar.xz
desktop/oranchelo-icon-theme: Added (Flat Icons).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/oranchelo-icon-theme/README5
-rw-r--r--desktop/oranchelo-icon-theme/doinst.sh13
-rw-r--r--desktop/oranchelo-icon-theme/oranchelo-icon-theme.SlackBuild64
-rw-r--r--desktop/oranchelo-icon-theme/oranchelo-icon-theme.info10
-rw-r--r--desktop/oranchelo-icon-theme/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/desktop/oranchelo-icon-theme/README b/desktop/oranchelo-icon-theme/README
new file mode 100644
index 0000000000..4ef9fb6a42
--- /dev/null
+++ b/desktop/oranchelo-icon-theme/README
@@ -0,0 +1,5 @@
+oranchelo-icon-theme (Flat Icons)
+
+Oranchelo is a package of icons created with the design techniques
+"flat" and "Flat Long Shadow". It's inspired by "Corny icons" of
+Patryk Goworowski.
diff --git a/desktop/oranchelo-icon-theme/doinst.sh b/desktop/oranchelo-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/oranchelo-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/oranchelo-icon-theme/oranchelo-icon-theme.SlackBuild b/desktop/oranchelo-icon-theme/oranchelo-icon-theme.SlackBuild
new file mode 100644
index 0000000000..30b3c923d9
--- /dev/null
+++ b/desktop/oranchelo-icon-theme/oranchelo-icon-theme.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Slackware build script for oranchelo-icon-theme.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="oranchelo-icon-theme"
+VERSION=${VERSION:-0.7.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/icons
+cp -a Oranchelo Oranchelo-Green $PKG/usr/share/icons/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Authors Changelog LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/oranchelo-icon-theme/oranchelo-icon-theme.info b/desktop/oranchelo-icon-theme/oranchelo-icon-theme.info
new file mode 100644
index 0000000000..e3b8e1f401
--- /dev/null
+++ b/desktop/oranchelo-icon-theme/oranchelo-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="oranchelo-icon-theme"
+VERSION="0.7.4"
+HOMEPAGE="https://github.com/OrancheloTeam/oranchelo-icon-theme"
+DOWNLOAD="https://github.com/OrancheloTeam/oranchelo-icon-theme/archive/v0.7.4/oranchelo-icon-theme-0.7.4.tar.gz"
+MD5SUM="ef0f67ac0740078478277feb5342dc68"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/oranchelo-icon-theme/slack-desc b/desktop/oranchelo-icon-theme/slack-desc
new file mode 100644
index 0000000000..e1524fb971
--- /dev/null
+++ b/desktop/oranchelo-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+oranchelo-icon-theme: oranchelo-icon-theme (Flat Icons)
+oranchelo-icon-theme:
+oranchelo-icon-theme: Oranchelo is a package of icons created with the design techniques
+oranchelo-icon-theme: "flat" and "Flat Long Shadow". It's inspired by "Corny icons" of
+oranchelo-icon-theme: Patryk Goworowski.
+oranchelo-icon-theme:
+oranchelo-icon-theme: Home Page: https://github.com/OrancheloTeam/oranchelo-icon-theme
+oranchelo-icon-theme:
+oranchelo-icon-theme:
+oranchelo-icon-theme:
+oranchelo-icon-theme: